diff -ruN vdr-1.3.41/remux.c vdr-1.3.42/remux.c
--- vdr-1.3.41/remux.c	2006-01-08 12:40:16.000000000 +0100
+++ vdr-1.3.42/remux.c	2006-02-03 17:19:02.000000000 +0100
@@ -11,7 +11,7 @@
  * The cRepacker family's code was originally written by Reinhard Nissl <rnissl@gmx.de>,
  * and adapted to the VDR coding style by Klaus.Schmidinger@cadsoft.de.
  *
- * $Id: remux.c 1.53 2006/01/08 11:40:16 kls Exp $
+ * $Id: remux.c 1.54 2006/02/03 16:19:02 kls Exp $
  */
 
 #include "remux.h"
@@ -248,6 +248,14 @@
     scanPicture
     };
   int state;
+  void HandleStartCode(const uchar *const Data, cRingBufferLinear *const ResultBuffer, const uchar *&Payload, const uchar StreamID, const ePesHeader MpegLevel);
+  inline bool ScanDataForStartCodeSlow(const uchar *const Data);
+  inline bool ScanDataForStartCodeFast(const uchar *&Data, const uchar *Limit);
+  inline bool ScanDataForStartCode(const uchar *&Data, int &Done, int &Todo);
+  inline void AdjustCounters(const int Delta, int &Done, int &Todo);
+  inline bool ScanForEndOfPictureSlow(const uchar *&Data);
+  inline bool ScanForEndOfPictureFast(const uchar *&Data, const uchar *Limit);
+  inline bool ScanForEndOfPicture(const uchar *&Data, const uchar *Limit);
 public:
   cVideoRepacker(void);
   virtual void Reset(void);
@@ -267,6 +275,162 @@
   state = syncing;
 }
 
+void cVideoRepacker::HandleStartCode(const uchar *const Data, cRingBufferLinear *const ResultBuffer, const uchar *&Payload, const uchar StreamID, const ePesHeader MpegLevel)
+{
+  // synchronisation is detected some bytes after frame start.
+  const int SkippedBytesLimit = 4;
+
+  // which kind of start code have we got?
+  switch (*Data) {
+    case 0xB9 ... 0xFF: // system start codes
+         LOG("cVideoRepacker: found system start code: stream seems to be scrambled or not demultiplexed");
+         break;
+    case 0xB0 ... 0xB1: // reserved start codes
+    case 0xB6:
+         LOG("cVideoRepacker: found reserved start code: stream seems to be scrambled");
+         break;
+    case 0xB4: // sequence error code
+         LOG("cVideoRepacker: found sequence error code: stream seems to be damaged");
+    case 0xB2: // user data start code
+    case 0xB5: // extension start code
+         break;
+    case 0xB7: // sequence end code
+    case 0xB3: // sequence header code
+    case 0xB8: // group start code
+    case 0x00: // picture start code
+         if (state == scanPicture) {
+            // the above start codes indicate that the current picture is done. So
+            // push out the packet to start a new packet for the next picuture. If
+            // the byte count get's negative then the current buffer ends in a
+            // partitial start code that must be stripped off, as it shall be put
+            // in the next packet.
+            PushOutPacket(ResultBuffer, Payload, Data - 3 - Payload);
+            // go on with syncing to the next picture
+            state = syncing;
+            }
+         if (state == syncing) {
+            if (initiallySyncing) // omit report for the typical initial case
+               initiallySyncing = false;
+            else if (skippedBytes > SkippedBytesLimit) // report that syncing dropped some bytes
+               LOG("cVideoRepacker: skipped %d bytes to sync on next picture", skippedBytes - SkippedBytesLimit);
+            skippedBytes = 0;
+            // if there is a PES header available, then use it ...
+            if (pesHeaderBackupLen > 0) {
+               // ISO 13818-1 says:
+               // In the case of video, if a PTS is present in a PES packet header
+               // it shall refer to the access unit containing the first picture start
+               // code that commences in this PES packet. A picture start code commences
+               // in PES packet if the first byte of the picture start code is present
+               // in the PES packet.
+               memcpy(pesHeader, pesHeaderBackup, pesHeaderBackupLen);
+               pesHeaderLen = pesHeaderBackupLen;
+               pesHeaderBackupLen = 0;
+               }
+            else {
+               // ... otherwise create a continuation PES header
+               pesHeaderLen = 0;
+               pesHeader[pesHeaderLen++] = 0x00;
+               pesHeader[pesHeaderLen++] = 0x00;
+               pesHeader[pesHeaderLen++] = 0x01;
+               pesHeader[pesHeaderLen++] = StreamID; // video stream ID
+               pesHeader[pesHeaderLen++] = 0x00; // length still unknown
+               pesHeader[pesHeaderLen++] = 0x00; // length still unknown
+
+               if (MpegLevel == phMPEG2) {
+                  pesHeader[pesHeaderLen++] = 0x80;
+                  pesHeader[pesHeaderLen++] = 0x00;
+                  pesHeader[pesHeaderLen++] = 0x00;
+                  }
+               else
+                  pesHeader[pesHeaderLen++] = 0x0F;
+               }
+            // append the first three bytes of the start code
+            pesHeader[pesHeaderLen++] = 0x00;
+            pesHeader[pesHeaderLen++] = 0x00;
+            pesHeader[pesHeaderLen++] = 0x01;
+            // the next packet's payload will begin with the fourth byte of
+            // the start code (= the actual code)
+            Payload = Data;
+            // as there is no length information available, assume the
+            // maximum we can hold in one PES packet
+            packetTodo = maxPacketSize - pesHeaderLen;
+            // go on with finding the picture data
+            state++;
+            }
+         break;
+    case 0x01 ... 0xAF: // slice start codes
+         if (state == findPicture) {
+            // go on with scanning the picture data
+            state++;
+            }
+         break;
+    }
+}
+
+bool cVideoRepacker::ScanDataForStartCodeSlow(const uchar *const Data)
+{
+  scanner <<= 8;
+  bool FoundStartCode = (scanner == 0x00000100);
+  scanner |= *Data;
+  return FoundStartCode;
+}
+
+bool cVideoRepacker::ScanDataForStartCodeFast(const uchar *&Data, const uchar *Limit)
+{
+  Limit--;
+
+  while (Data < Limit && (Data = (const uchar *)memchr(Data, 0x01, Limit - Data))) {
+        if (Data[-2] || Data[-1])
+           Data += 3;
+        else {
+           scanner = 0x00000100 | *++Data;
+           return true;
+           }
+        }
+
+  Data = Limit;
+  unsigned long *Scanner = (unsigned long *)(Data - 3);
+  scanner = ntohl(*Scanner);
+  return false;
+}
+
+bool cVideoRepacker::ScanDataForStartCode(const uchar *&Data, int &Done, int &Todo)
+{
+  const uchar *const DataOrig = Data;
+  const int MinDataSize = 4;
+
+  if (Todo < MinDataSize || (state != syncing && packetTodo < MinDataSize))
+     return ScanDataForStartCodeSlow(Data);
+
+  int Limit = Todo;
+  if (state != syncing && Limit > packetTodo)
+     Limit = packetTodo;
+
+  if (ScanDataForStartCodeSlow(Data))
+     return true;
+
+  if (ScanDataForStartCodeSlow(++Data)) {
+     AdjustCounters(1, Done, Todo);
+     return true;
+     }
+  ++Data;
+
+  bool FoundStartCode = ScanDataForStartCodeFast(Data, DataOrig + Limit);
+  AdjustCounters(Data - DataOrig, Done, Todo);
+  return FoundStartCode;
+}
+
+void cVideoRepacker::AdjustCounters(const int Delta, int &Done, int &Todo)
+{
+  Done += Delta;
+  Todo -= Delta;
+
+  if (state <= syncing)
+     skippedBytes += Delta;
+  else
+     packetTodo -= Delta;
+}
+
 void cVideoRepacker::Repack(cRingBufferLinear *ResultBuffer, const uchar *Data, int Count)
 {
   // synchronisation is detected some bytes after frame start.
@@ -300,98 +464,9 @@
         if (state <= syncing)
            skippedBytes++;
         // did we reach a start code?
-        scanner <<= 8;
-        if (scanner != 0x00000100)
-           scanner |= *data;
-        else {
-           scanner |= *data;
-
-           // which kind of start code have we got?
-           switch (*data) {
-             case 0xB9 ... 0xFF: // system start codes
-                  LOG("cVideoRepacker: found system start code: stream seems to be scrambled or not demultiplexed");
-                  break;
-             case 0xB0 ... 0xB1: // reserved start codes
-             case 0xB6:
-                  LOG("cVideoRepacker: found reserved start code: stream seems to be scrambled");
-                  break;
-             case 0xB4: // sequence error code
-                  LOG("cVideoRepacker: found sequence error code: stream seems to be damaged");
-             case 0xB2: // user data start code
-             case 0xB5: // extension start code
-                  break;
-             case 0xB7: // sequence end code
-             case 0xB3: // sequence header code
-             case 0xB8: // group start code
-             case 0x00: // picture start code
-                  if (state == scanPicture) {
-                     // the above start codes indicate that the current picture is done. So
-                     // push out the packet to start a new packet for the next picuture. If
-                     // the byte count get's negative then the current buffer ends in a
-                     // partitial start code that must be stripped off, as it shall be put
-                     // in the next packet.
-                     PushOutPacket(ResultBuffer, payload, data - 3 - payload);
-                     // go on with syncing to the next picture
-                     state = syncing;
-                     }
-                  if (state == syncing) {
-                     if (initiallySyncing) // omit report for the typical initial case
-                        initiallySyncing = false;
-                     else if (skippedBytes > SkippedBytesLimit) // report that syncing dropped some bytes
-                        LOG("cVideoRepacker: skipped %d bytes to sync on next picture", skippedBytes - SkippedBytesLimit);
-                     skippedBytes = 0;
-                     // if there is a PES header available, then use it ...
-                     if (pesHeaderBackupLen > 0) {
-                        // ISO 13818-1 says:
-                        // In the case of video, if a PTS is present in a PES packet header
-                        // it shall refer to the access unit containing the first picture start
-                        // code that commences in this PES packet. A picture start code commences
-                        // in PES packet if the first byte of the picture start code is present
-                        // in the PES packet.
-                        memcpy(pesHeader, pesHeaderBackup, pesHeaderBackupLen);
-                        pesHeaderLen = pesHeaderBackupLen;
-                        pesHeaderBackupLen = 0;
-                        }
-                     else {
-                        // ... otherwise create a continuation PES header
-                        pesHeaderLen = 0;
-                        pesHeader[pesHeaderLen++] = 0x00;
-                        pesHeader[pesHeaderLen++] = 0x00;
-                        pesHeader[pesHeaderLen++] = 0x01;
-                        pesHeader[pesHeaderLen++] = Data[3]; // video stream ID
-                        pesHeader[pesHeaderLen++] = 0x00; // length still unknown
-                        pesHeader[pesHeaderLen++] = 0x00; // length still unknown
-
-                        if (mpegLevel == phMPEG2) {
-                           pesHeader[pesHeaderLen++] = 0x80;
-                           pesHeader[pesHeaderLen++] = 0x00;
-                           pesHeader[pesHeaderLen++] = 0x00;
-                           }
-                        else
-                           pesHeader[pesHeaderLen++] = 0x0F;
-                        }
-                     // append the first three bytes of the start code
-                     pesHeader[pesHeaderLen++] = 0x00;
-                     pesHeader[pesHeaderLen++] = 0x00;
-                     pesHeader[pesHeaderLen++] = 0x01;
-                     // the next packet's payload will begin with the fourth byte of
-                     // the start code (= the actual code)
-                     payload = data;
-                     // as there is no length information available, assume the
-                     // maximum we can hold in one PES packet
-                     packetTodo = maxPacketSize - pesHeaderLen;
-                     // go on with finding the picture data
-                     state++;
-                     }
-                  break;
-             case 0x01 ... 0xAF: // slice start codes
-                  if (state == findPicture) {
-                     // go on with scanning the picture data
-                     state++;
-                     }
-                  break;
-             }
-           }
+        if (ScanDataForStartCode(data, done, todo))
+           HandleStartCode(data, ResultBuffer, payload, Data[3], mpegLevel);
+        // move on
         data++;
         done++;
         todo--;
@@ -501,6 +576,79 @@
      }
 }
 
+bool cVideoRepacker::ScanForEndOfPictureSlow(const uchar *&Data)
+{
+  localScanner <<= 8;
+  localScanner |= *Data++;
+  // check start codes which follow picture data
+  switch (localScanner) {
+    case 0x00000100: // picture start code
+    case 0x000001B8: // group start code
+    case 0x000001B3: // sequence header code
+    case 0x000001B7: // sequence end code
+         return true;
+    }
+  return false;
+}
+
+bool cVideoRepacker::ScanForEndOfPictureFast(const uchar *&Data, const uchar *Limit)
+{
+  Limit--;
+
+  while (Data < Limit && (Data = (const uchar *)memchr(Data, 0x01, Limit - Data))) {
+        if (Data[-2] || Data[-1])
+           Data += 3;
+        else {
+           localScanner = 0x00000100 | *++Data;
+           // check start codes which follow picture data
+           switch (localScanner) {
+             case 0x00000100: // picture start code
+             case 0x000001B8: // group start code
+             case 0x000001B3: // sequence header code
+             case 0x000001B7: // sequence end code
+                  Data++;
+                  return true;
+             default:
+                  Data += 3;
+             }
+           }
+        }
+
+  Data = Limit + 1;
+  unsigned long *LocalScanner = (unsigned long *)(Data - 4);
+  localScanner = ntohl(*LocalScanner);
+  return false;
+}
+
+bool cVideoRepacker::ScanForEndOfPicture(const uchar *&Data, const uchar *Limit)
+{
+  const uchar *const DataOrig = Data;
+  const int MinDataSize = 4;
+  bool FoundEndOfPicture;
+
+  if (Limit - Data <= MinDataSize) {
+     FoundEndOfPicture = false;
+     while (Data < Limit) {
+           if (ScanForEndOfPictureSlow(Data)) {
+              FoundEndOfPicture = true;
+              break;
+              }
+           }
+     }
+  else {
+     FoundEndOfPicture = true;
+     if (!ScanForEndOfPictureSlow(Data)) {
+        if (!ScanForEndOfPictureSlow(Data)) {
+           if (!ScanForEndOfPictureFast(Data, Limit))
+              FoundEndOfPicture = false;
+           }
+        }
+     }
+
+  localStart += (Data - DataOrig);
+  return FoundEndOfPicture;
+}
+
 int cVideoRepacker::BreakAt(const uchar *Data, int Count)
 {
   if (initiallySyncing)
@@ -522,19 +670,8 @@
      const uchar *data = Data + PesPayloadOffset + localStart;
      const uchar *limit = Data + Count;
      // scan data
-     while (data < limit) {
-           localStart++;
-           localScanner <<= 8;
-           localScanner |= *data++;
-           // check start codes which follow picture data
-           switch (localScanner) {
-             case 0x00000100: // picture start code
-             case 0x000001B8: // group start code
-             case 0x000001B3: // sequence header code
-             case 0x000001B7: // sequence end code
-                  return data - Data;
-             }
-           }
+     if (ScanForEndOfPicture(data, limit))
+        return data - Data;
      }
   // just fill up packet and append next start code
   return PesPayloadOffset + packetTodo + 4;
diff -ruN vdr-1.3.41/runvdr vdr-1.3.42/runvdr
--- vdr-1.3.41/runvdr	2005-12-31 17:04:53.000000000 +0100
+++ vdr-1.3.42/runvdr	2006-02-04 16:20:48.000000000 +0100
@@ -5,12 +5,9 @@
 # If VDR exits abnormally, the driver will be reloaded
 # and VDR restarted.
 #
-# Set the environment variable VDRUSR to the user id you
-# want VDR to run with. If VDRUSR is not set, VDR will run
-# as user 'vdr'.
-#
 # Since this script loads the DVB driver, it must be started
-# as user 'root'.
+# as user 'root'. Add the option "-u username" to run VDR
+# under the given user name.
 #
 # Any command line parameters will be passed on to the
 # actual 'vdr' program.
@@ -18,11 +15,11 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: runvdr 1.15 2005/12/31 16:04:53 kls Exp $
+# $Id: runvdr 1.16 2006/02/04 15:20:48 kls Exp $
 
 DVBDIR="../DVB/driver"
 VDRPRG="./vdr"
-VDRCMD="$VDRPRG -u $VDRUSR -w 60 $*"
+VDRCMD="$VDRPRG -w 60 $*"
 
 LSMOD="`/sbin/lsmod | grep -w '^dvb' | wc -l`"
 KILL="/usr/bin/killall -q -TERM"
diff -ruN vdr-1.3.41/skinclassic.c vdr-1.3.42/skinclassic.c
--- vdr-1.3.41/skinclassic.c	2006-01-01 15:37:58.000000000 +0100
+++ vdr-1.3.42/skinclassic.c	2006-02-05 15:51:39.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinclassic.c 1.13 2006/01/01 14:37:58 kls Exp $
+ * $Id: skinclassic.c 1.14 2006/02/05 14:51:39 kls Exp $
  */
 
 #include "skinclassic.h"
@@ -169,6 +169,8 @@
   virtual void SetEvent(const cEvent *Event);
   virtual void SetRecording(const cRecording *Recording);
   virtual void SetText(const char *Text, bool FixedFont);
+  virtual int GetTextAreaWidth(void) const;
+  virtual const cFont *GetTextAreaFont(bool FixedFont) const;
   virtual void Flush(void);
   };
 
@@ -357,11 +359,20 @@
 
 void cSkinClassicDisplayMenu::SetText(const char *Text, bool FixedFont)
 {
-  const cFont *font = cFont::GetFont(FixedFont ? fontFix : fontOsd);
-  textScroller.Set(osd, x0, y2, x1 - x0 - 2 * ScrollWidth, y3 - y2, Text, font, Theme.Color(clrMenuText), Theme.Color(clrBackground));
+  textScroller.Set(osd, x0, y2, GetTextAreaWidth(), y3 - y2, Text, GetTextAreaFont(FixedFont), Theme.Color(clrMenuText), Theme.Color(clrBackground));
   SetScrollbar();
 }
 
+int cSkinClassicDisplayMenu::GetTextAreaWidth(void) const
+{
+  return x1 - x0 - 2 * ScrollWidth;
+}
+
+const cFont *cSkinClassicDisplayMenu::GetTextAreaFont(bool FixedFont) const
+{
+  return cFont::GetFont(FixedFont ? fontFix : fontOsd);
+}
+
 void cSkinClassicDisplayMenu::Flush(void)
 {
   cString date = DayDateTime();
diff -ruN vdr-1.3.41/skins.c vdr-1.3.42/skins.c
--- vdr-1.3.41/skins.c	2006-01-08 12:40:18.000000000 +0100
+++ vdr-1.3.42/skins.c	2006-02-05 15:53:04.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skins.c 1.7 2006/01/08 11:40:18 kls Exp $
+ * $Id: skins.c 1.8 2006/02/05 14:53:04 kls Exp $
  */
 
 #include "skins.h"
@@ -108,6 +108,16 @@
   return buffer;
 }
 
+int cSkinDisplayMenu::GetTextAreaWidth(void) const
+{
+  return 0;
+}
+
+const cFont *cSkinDisplayMenu::GetTextAreaFont(bool) const
+{
+  return NULL;
+}
+
 // --- cSkinDisplayReplay::cProgressBar --------------------------------------
 
 cSkinDisplayReplay::cProgressBar::cProgressBar(int Width, int Height, int Current, int Total, const cMarks *Marks, tColor ColorSeen, tColor ColorRest, tColor ColorSelected, tColor ColorMark, tColor ColorCurrent)
diff -ruN vdr-1.3.41/skins.h vdr-1.3.42/skins.h
--- vdr-1.3.41/skins.h	2006-01-08 12:40:21.000000000 +0100
+++ vdr-1.3.42/skins.h	2006-02-05 15:59:57.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skins.h 1.10 2006/01/08 11:40:21 kls Exp $
+ * $Id: skins.h 1.11 2006/02/05 14:59:57 kls Exp $
  */
 
 #ifndef __SKINS_H
@@ -160,6 +160,19 @@
        ///< the Scroll() function will be called to drive scrolling that text if
        ///< necessary.
   //XXX ??? virtual void SetHelp(const char *Help) = 0;
+  virtual int GetTextAreaWidth(void) const;
+       ///< Returns the width in pixel of the area which is used to display text
+       ///< with SetText(). The width of the area is the width of the central area
+       ///< minus the width of any possibly displayed scroll-bar or other decoration.
+       ///< The default implementation returns 0. Therefore a caller of this method
+       ///< must be prepared to receive 0 if the plugin doesn't implement this method.
+  virtual const cFont *GetTextAreaFont(bool FixedFont) const;
+       ///< Returns a pointer to the font which is used to display text with SetText().
+       ///< The parameter FixedFont has the same meaning as in SetText(). The default
+       ///< implementation returns NULL. Therefore a caller of this method must be
+       ///< prepared to receive NULL if the plugin doesn't implement this method.
+       ///< The returned pointer is valid a long as the instance of cSkinDisplayMenu
+       ///< exists.
   };
 
 class cSkinDisplayReplay : public cSkinDisplay {
diff -ruN vdr-1.3.41/skinsttng.c vdr-1.3.42/skinsttng.c
--- vdr-1.3.41/skinsttng.c	2006-01-01 15:38:14.000000000 +0100
+++ vdr-1.3.42/skinsttng.c	2006-02-05 15:51:39.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinsttng.c 1.16 2006/01/01 14:38:14 kls Exp $
+ * $Id: skinsttng.c 1.18 2006/02/05 14:51:39 kls Exp $
  */
 
 // Star Trek: The Next Generation® is a registered trademark of Paramount Pictures
@@ -347,6 +347,8 @@
   virtual void SetEvent(const cEvent *Event);
   virtual void SetRecording(const cRecording *Recording);
   virtual void SetText(const char *Text, bool FixedFont);
+  virtual int GetTextAreaWidth(void) const;
+  virtual const cFont *GetTextAreaFont(bool FixedFont) const;
   virtual void Flush(void);
   };
 
@@ -618,10 +620,20 @@
 
 void cSkinSTTNGDisplayMenu::SetText(const char *Text, bool FixedFont)
 {
+  textScroller.Set(osd, x3, y3, GetTextAreaWidth(), y4 - y3, Text, GetTextAreaFont(FixedFont), Theme.Color(clrMenuText), Theme.Color(clrBackground));
+  SetScrollbar();
+}
+
+int cSkinSTTNGDisplayMenu::GetTextAreaWidth(void) const
+{
+  return x4 - x3;
+}
+
+const cFont *cSkinSTTNGDisplayMenu::GetTextAreaFont(bool FixedFont) const
+{
   const cFont *font = cFont::GetFont(FixedFont ? fontFix : fontOsd);
   font = cFont::GetFont(fontSml);//XXX -> make a way to let the text define which font to use
-  textScroller.Set(osd, x3, y3, x4 - x3, y4 - y3, Text, font, Theme.Color(clrMenuText), Theme.Color(clrBackground));
-  SetScrollbar();
+  return font;
 }
 
 void cSkinSTTNGDisplayMenu::Flush(void)
@@ -721,7 +733,7 @@
   osd->DrawText(x3 + 5, y0, Title, Theme.Color(clrReplayTitle), frameColor, cFont::GetFont(fontSml), x4 - x3 - 5);
 }
 
-static char **ReplaySymbols[2][2][5] = {
+static const char *const *ReplaySymbols[2][2][5] = {
   { { pause_xpm, srew_xpm, srew1_xpm, srew2_xpm, srew3_xpm },
     { pause_xpm, sfwd_xpm, sfwd1_xpm, sfwd2_xpm, sfwd3_xpm }, },
   { { play_xpm,  frew_xpm, frew1_xpm, frew2_xpm, frew3_xpm },
diff -ruN vdr-1.3.41/symbols/arrowdown.xpm vdr-1.3.42/symbols/arrowdown.xpm
--- vdr-1.3.41/symbols/arrowdown.xpm	2004-04-25 11:34:21.000000000 +0200
+++ vdr-1.3.42/symbols/arrowdown.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * arrowdown_xpm[] = {
+static const char *const arrowdown_xpm[] = {
 "12 12 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/arrowup.xpm vdr-1.3.42/symbols/arrowup.xpm
--- vdr-1.3.41/symbols/arrowup.xpm	2004-04-25 11:34:02.000000000 +0200
+++ vdr-1.3.42/symbols/arrowup.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * arrowup_xpm[] = {
+static const char *const arrowup_xpm[] = {
 "12 12 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/audio.xpm vdr-1.3.42/symbols/audio.xpm
--- vdr-1.3.41/symbols/audio.xpm	2004-04-25 17:02:15.000000000 +0200
+++ vdr-1.3.42/symbols/audio.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * audio_xpm[] = {
+static const char *const audio_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/audioleft.xpm vdr-1.3.42/symbols/audioleft.xpm
--- vdr-1.3.41/symbols/audioleft.xpm	2005-01-08 16:00:03.000000000 +0100
+++ vdr-1.3.42/symbols/audioleft.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * audioleft_xpm[] = {
+static const char *const audioleft_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/audioright.xpm vdr-1.3.42/symbols/audioright.xpm
--- vdr-1.3.41/symbols/audioright.xpm	2005-01-08 15:59:35.000000000 +0100
+++ vdr-1.3.42/symbols/audioright.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * audioright_xpm[] = {
+static const char *const audioright_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/audiostereo.xpm vdr-1.3.42/symbols/audiostereo.xpm
--- vdr-1.3.41/symbols/audiostereo.xpm	2005-01-08 16:00:34.000000000 +0100
+++ vdr-1.3.42/symbols/audiostereo.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * audiostereo_xpm[] = {
+static const char *const audiostereo_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/dolbydigital.xpm vdr-1.3.42/symbols/dolbydigital.xpm
--- vdr-1.3.41/symbols/dolbydigital.xpm	2004-04-25 17:02:18.000000000 +0200
+++ vdr-1.3.42/symbols/dolbydigital.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * dolbydigital_xpm[] = {
+static const char *const dolbydigital_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/encrypted.xpm vdr-1.3.42/symbols/encrypted.xpm
--- vdr-1.3.41/symbols/encrypted.xpm	2004-04-25 17:02:20.000000000 +0200
+++ vdr-1.3.42/symbols/encrypted.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * encrypted_xpm[] = {
+static const char *const encrypted_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/ffwd.xpm vdr-1.3.42/symbols/ffwd.xpm
--- vdr-1.3.41/symbols/ffwd.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/ffwd.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * ffwd_xpm[] = {
+static const char *const ffwd_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/ffwd1.xpm vdr-1.3.42/symbols/ffwd1.xpm
--- vdr-1.3.41/symbols/ffwd1.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/ffwd1.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * ffwd1_xpm[] = {
+static const char *const ffwd1_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/ffwd2.xpm vdr-1.3.42/symbols/ffwd2.xpm
--- vdr-1.3.41/symbols/ffwd2.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/ffwd2.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * ffwd2_xpm[] = {
+static const char *const ffwd2_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/ffwd3.xpm vdr-1.3.42/symbols/ffwd3.xpm
--- vdr-1.3.41/symbols/ffwd3.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/ffwd3.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * ffwd3_xpm[] = {
+static const char *const ffwd3_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/frew.xpm vdr-1.3.42/symbols/frew.xpm
--- vdr-1.3.41/symbols/frew.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/frew.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * frew_xpm[] = {
+static const char *const frew_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/frew1.xpm vdr-1.3.42/symbols/frew1.xpm
--- vdr-1.3.41/symbols/frew1.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/frew1.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * frew1_xpm[] = {
+static const char *const frew1_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/frew2.xpm vdr-1.3.42/symbols/frew2.xpm
--- vdr-1.3.41/symbols/frew2.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/frew2.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * frew2_xpm[] = {
+static const char *const frew2_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/frew3.xpm vdr-1.3.42/symbols/frew3.xpm
--- vdr-1.3.41/symbols/frew3.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/frew3.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * frew3_xpm[] = {
+static const char *const frew3_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/mute.xpm vdr-1.3.42/symbols/mute.xpm
--- vdr-1.3.41/symbols/mute.xpm	2004-04-25 12:44:42.000000000 +0200
+++ vdr-1.3.42/symbols/mute.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * mute_xpm[] = {
+static const char *const mute_xpm[] = {
 "26 20 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/pause.xpm vdr-1.3.42/symbols/pause.xpm
--- vdr-1.3.41/symbols/pause.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/pause.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * pause_xpm[] = {
+static const char *const pause_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/play.xpm vdr-1.3.42/symbols/play.xpm
--- vdr-1.3.41/symbols/play.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/play.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * play_xpm[] = {
+static const char *const play_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/radio.xpm vdr-1.3.42/symbols/radio.xpm
--- vdr-1.3.41/symbols/radio.xpm	2004-04-25 17:01:38.000000000 +0200
+++ vdr-1.3.42/symbols/radio.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * radio_xpm[] = {
+static const char *const radio_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/recording.xpm vdr-1.3.42/symbols/recording.xpm
--- vdr-1.3.41/symbols/recording.xpm	2004-04-25 17:02:29.000000000 +0200
+++ vdr-1.3.42/symbols/recording.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * recording_xpm[] = {
+static const char *const recording_xpm[] = {
 "27 18 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/sfwd.xpm vdr-1.3.42/symbols/sfwd.xpm
--- vdr-1.3.41/symbols/sfwd.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/sfwd.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * sfwd_xpm[] = {
+static const char *const sfwd_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/sfwd1.xpm vdr-1.3.42/symbols/sfwd1.xpm
--- vdr-1.3.41/symbols/sfwd1.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/sfwd1.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * sfwd1_xpm[] = {
+static const char *const sfwd1_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
diff -ruN vdr-1.3.41/symbols/sfwd2.xpm vdr-1.3.42/symbols/sfwd2.xpm
--- vdr-1.3.41/symbols/sfwd2.xpm	2004-04-24 15:01:24.000000000 +0200
+++ vdr-1.3.42/symbols/sfwd2.xpm	2006-02-05 14:46:37.000000000 +0100
@@ -1,5 +1,5 @@
 /* XPM */
-static char * sfwd2_xpm[] = {
+static const char *const sfwd2_xpm[] = {
 "28 26 2 1",
 ".	c #FFFFFF",
 "+	c #000000",
